/* -----------------------------------------------------------------------------
 * Antenna - An Ant-to-end solution for wireless Java 
 *
 * Copyright (c) 2002-2004 Joerg Pleumann <joerg@pleumann.de>
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option) any
 * later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * -----------------------------------------------------------------------------
 */
package de.pleumann.antenna.pre;

import java.io.File;

/**
 * Provides a specialized exception type for use inside the preprocessor.
 */
public class PreprocessorException extends Exception {

    /**
     * Creates a new instance of the exception with the given message.
     */
	public PreprocessorException(String message) {
		super(message);
	}
	
     /**
     * Creates a new instance of the exception with the given message.
     */
	public PreprocessorException(String message, Preprocessor proc) {
		this(message+" in "+proc.getPositionDescription());
	}
}
